Name:          simple-xml1
Version:       1.3
Release:       %mkrel 8
Summary:       Simple is a high performance XML serialization and configuration framework for Java™
Group:         Development/Java
License:       LGPL
Url:           http://simple.sourceforge.net/
Source0:       http://sourceforge.net/projects/simple/files/simple/1.3/simple-xml-1.3.tar.gz
Patch0:        simple-xml-1.3-build.patch

BuildArch:     noarch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: bea-stax
BuildRequires: bea-stax-api
BuildRequires: junit

Requires:      bea-stax

Requires:      java
Requires:      jpackage-utils

%description
Simple is an XML serialization framework for Java™. Its goal is to provide an XML framework that
enables rapid development of XML configuration and communication systems. This framework
aids the development of XML systems with minimal effort and reduced errors. The framework
borrows ideas and concepts from existing XML tools such as C# XML serialization and other
proprietary frameworks, and combines those ideas resulting in a simple yet extremely powerful
tool for using and manipulating XML.

%package       javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description   javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n simple-xml-%{version}

find -name "*.jar" -exec rm -f {} \;
find -name "*.class" -exec rm -f {} \;
rm -rf javadoc/*
%patch0 -p1

%build

%ant build javadoc test

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 0644 jar/simple-xml-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/%{name}/


%files
%{_javadir}/%{name}.jar


%files javadoc
%{_javadocdir}/%{name}


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.3-8.mga6
+ Revision: 952755
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 1.3-7.mga6
+ Revision: 930521
- Mageia 6 Mass Rebuild

* Mon May 18 2015 daviddavid <daviddavid> 1.3-6.mga5
+ Revision: 822330
- remove old macro on %%update_maven_depmap

* Wed Oct 15 2014 umeabot <umeabot> 1.3-5.mga5
+ Revision: 740674
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-4.mga5
+ Revision: 689162
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 518352
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 382051
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 09 2011 gil <gil> 1.3-1.mga2
+ Revision: 166005
- imported package simple-xml1

